Bug 244333 - Review Request: GConf2-dbus - D-Bus port of GConf2
Review Request: GConf2-dbus - D-Bus port of GConf2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-15 00:07 EDT by John (J5) Palmieri
Modified: 2013-03-13 00:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-18 06:19:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jeff: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description John (J5) Palmieri 2007-06-15 00:07:56 EDT
Spec URL: http://people.freedesktop.org/~johnp/GConf2-dbus.spec
SRPM URL: http://people.freedesktop.org/~johnp/GConf2-dbus-2.16.0-10.src.rpm
Description: This is the D-Bus port of GConf2 which is needed for OLPC since we can not have a dependency on Bonobo and ORBit.  This only needs to go into the OLPC-2 branch though it should replace GConf2 at some point in the future
Comment 1 Jeffrey C. Ollie 2007-06-15 02:42:08 EDT
 1 - MUST: rpmlint must be run on every package. The output should be
           posted in the review.

W: GConf2-dbus incoherent-version-in-changelog 2.16.0-9 2.16.0-10.fc7

Needs updated changelog entry, not a big deal.

W: GConf2-dbus prereq-use /sbin/install-info

This can be dropped - AFAICS there is no .info file installed.

W: GConf2-dbus unversioned-explicit-provides GConf2
W: GConf2-dbus unversioned-explicit-obsoletes GConf2

Since this is only going into OLPC at this time I would drop the
provides/obsoletes on GConf.  When it is time to move GConf-dbus into
development a versioned provides/obsoletes can be added.

W: GConf2-dbus-devel no-documentation

%{_datadir}/gtk-doc/html/gconf can be marked as %doc in the -devel
package to take care of this.

 2 - MUST: The package must be named according to the Package Naming
           Guidelines.

OK

 3 - MUST: The spec file name must match the base package %{name}, in
           the format %{name}.spec

OK

 4 - MUST: The package must meet the Packaging Guidelines.

Drop the PreReq of /sbin/install-info - I don't see any .info files
being installed.

Change BuildRoot to (missing %{release}):

     %{_tmppath}/%{name}-%{version}-%{release}-root

The "-n GConf-dbus-%{version}" on the %setup line is superfluous.

The "standard" %defattr line is "%defattr(-, root, root, -)" (note the
4th argument) but that's not a blocker.

"make" invocation in %build does not contain "%{?_smp_mflags}".  If
the build fails when running parallel operations please document that
fact in a comment.

 5 - MUST: The package must be licensed with an open-source compatible
           license and meet other legal requirements as defined in the
           legal section of Packaging Guidelines.

OK (LGPL)

 6 - MUST: The License field in the package spec file must match the
           actual license.

OK

 7 - MUST: If (and only if) the source package includes the text of
           the license(s) in its own file, then that file, containing
           the text of the license(s) for the package must be included
           in %doc.
OK


 8 - MUST: The spec file must be written in American English.

OK

 9 - MUST: The spec file for the package MUST be legible. If the
           reviewer is unable to read the spec file, it will be
           impossible to perform a review.  Fedora is not the place
           for entries into the Obfuscated Code Contest ([WWW]
           http://www.ioccc.org/).

OK

10 - MUST: The sources used to build the package must match the
           upstream source, as provided in the spec URL. Reviewers
           should use md5sum for this task.

I am unable to find the upstream tarball at the indicated location...
The upstream URL needs to be corrected or a method for recreating the
tarball needs to be included.

11 - MUST: The package must successfully compile and build into binary
           rpms on at least one supported architecture.

OK (FC-6/i386, FC-6/x86_64, F-7/i386, devel/i386)

12 - MUST: If the package does not successfully compile, build or work
           on an architecture, then those architectures should be
           listed in the spec in ExcludeArch. Each architecture listed
           in ExcludeArch needs to have a bug filed in bugzilla,
           describing the reason that the package does not
           compile/build/work on that architecture. The bug number
           should then be placed in a comment, next to the
           corresponding ExcludeArch line. New packages will not have
           bugzilla entries during the review process, so they should
           put this description in the comment until the package is
           approved, then file the bugzilla entry, and replace the
           long explanation with the bug number. (Extras Only) The bug
           should be marked as blocking one (or more) of the following
           bugs to simplify tracking such issues...

OK

13 - MUST: All build dependencies must be listed in BuildRequires,
           except for any that are listed in the exceptions section of
           Packaging Guidelines; inclusion of those as BuildRequires
           is optional. Apply common sense.

OK

14 - MUST: The spec file MUST handle locales properly. This is done by
           using the %find_lang macro. Using %{_datadir}/locale/* is strictly
           forbidden.

OK

15 - MUST: If the package contains shared library files located in the
           dynamic linker's default paths, that package must call
           ldconfig in %post and %postun. If the package has multiple
           subpackages with libraries, each subpackage should also
           have a %post/%postun section that calls /sbin/ldconfig. An
           example of the correct syntax for this is...

OK

16 - MUST: If the package is designed to be relocatable, the packager
           must state this fact in the request for review, along with
           the rationalization for relocation of that specific
           package. Without this, use of Prefix: /usr is considered a
           blocker.

OK (not relocatable)

17 - MUST: A package must own all directories that it creates. If it
           does not create a directory that it uses, then it should
           require a package which does create that directory. The
           exception to this are directories listed explicitly in the
           Filesystem Hierarchy Standard ([WWW]
           http://www.pathname.com/fhs/pub/fhs-2.3.html), as it is
           safe to assume that those directories exist.

/etc/gconf is NOT owned.

18 - MUST: A package must not contain any duplicate files in the
          %files listing.

OK

19 - MUST: Permissions on files must be set properly. Executables
           should be set with executable permissions, for
           example. Every %files section must include a %defattr(...)
           line.

OK

20 - MUST: Each package must have a %clean section, which contains rm
           -rf %{buildroot} (or $RPM_BUILD_ROOT).

OK

21 - MUST: Each package must consistently use macros, as described in
           the macros section of Packaging Guidelines.

OK

22 - MUST: The package must contain code, or permissable content. This
           is described in detail in the code vs. content section of
           Packaging Guidelines.

OK (code)

23 - MUST: Large documentation files should go in a -doc
           subpackage. (The definition of large is left up to the
           packager's best judgement, but is not restricted to
           size. Large can refer to either size or quantity)

OK (no large documents)

24 - MUST: If a package includes something as %doc, it must not affect
           the runtime of the application. To summarize: If it is in
           %doc, the program must run properly if it is not present.

OK

25 - MUST: Header files or static libraries must be in a -devel
           package.

OK

26 - MUST: Files used by pkgconfig (.pc files) must be in a -devel
           package.

OK

27 - MUST: If a package contains library files with a suffix
           (e.g. libfoo.so.1.1), then library files that end in .so
           (without suffix) must go in a -devel package.

OK

28 - MUST: In the vast majority of cases, devel packages must require
           the base package using a fully versioned dependency:
           Requires: %{name} = %{version}-%{release}

Devel subpackage only requires %{version}, need to specify %{release}
as well.

29 - MUST: Packages must NOT contain any .la libtool archives, these
           should be removed in the spec.

OK

30 - MUST: Packages containing GUI applications must include a
           %{name}.desktop file, and that file must be properly
           installed with desktop-file-install in the %install
           section. This is described in detail in the desktop files
           section of Packaging Guidelines. If you feel that your
           packaged GUI application does not need a .desktop file, you
           must put a comment in the spec file with your explanation.

OK (not a desktop application)

31 - MUST: Packages must not own files or directories already owned by
           other packages. The rule of thumb here is that the first
           package to be installed should own the files or directories
           that other packages may rely upon. This means, for example,
           that no package in Fedora should ever share ownership with
           any of the files or directories owned by the filesystem or
           man package. If you feel that you have a good reason to own
           a file or directory that another package owns, then please
           present that at package review time.

/usr/share/sgml is owned by GConf2-dbus.  GConf2, sgml-common, and
xml-common claim the directory as well.

/usr/share/gtk-doc and /usr/share/gtk-doc/html are owned by
GConf2-dbus (and many other packages).


32 - MUST: Release tag must contain %{?dist}.

OK

33 - SHOULD: If the source package does not include license text(s) as
           a separate file from upstream, the packager SHOULD query
           upstream to include it.

OK (package already contains a license)

34 - SHOULD: The description and summary sections in the package spec
           file should contain translations for supported Non-English
           languages, if available.

OK (none available AFAIK)

35 - SHOULD: The reviewer should test that the package builds in mock.

OK (FC-6/i386, FC-6/x86_64, F-7/i386, development/i386)

36 - SHOULD: The package should compile and build into binary rpms on
           all supported architectures.

Unknown, reviewer does not have access to PPC hardware.  I was also
not able to build using plain "rpmbuild" on a F-7/i386 system but
builds fine in mock on the same host.

37 - SHOULD: The reviewer should test that the package functions as
           described. A package should not segfault instead of
           running, for example.

Unable to test at this time...

38 - SHOULD: If scriptlets are used, those scriptlets must be
           sane. This is vague, and left up to the reviewers judgement
           to determine sanity.
           REMINDER: Check for condrestart if a service is restarted
           by scriptlets.
           REMINDER: Verify that non-chkconfig/ldconfig commands have
           "|| :".

OK

39 - SHOULD: Usually, subpackages other than devel should require the
           base package using a fully versioned dependency.

OK (no other subpackages)

Conclusion, needs some work...
Comment 2 John (J5) Palmieri 2007-06-15 18:36:55 EDT
Spec URL: http://people.freedesktop.org/~johnp/GConf2-dbus.spec
SRPM URL: http://people.freedesktop.org/~johnp/GConf2-dbus-2.16.0-11.src.rpm

The obsolete and provides is still needed as we inherit from the F7 repository.
 If you wish for me to version it what is the right format?

the -n after %setup is needed because if you look closely the package spits out
a GConf-%{version} directory not a GConf2-%{version} directory.  We use GConf2
in the package name to be in sync with the GConf2 package which at one time was
parallel installable with GConf.  

As for the the package URL, GConf2-dbus has not been officaly released yet. 
When it does it will be merged into GConf.  I have made it a seperate package
because for the forseable future one may want to choose between installing the
offical GConf2 or the embedable GConf2-dbus.  For instance when I create
LiveCD's with full GNOME environments.
Comment 3 Jeffrey C. Ollie 2007-06-15 23:44:41 EDT
(In reply to comment #2)
> 
> The obsolete and provides is still needed as we inherit from the F7 repository.
>  If you wish for me to version it what is the right format?

GConf2 is currently at 2.18.0.1-2.fc7, so it'll need to look like:

Provides: GConf2 = 2.18.0.1-3
Obsoletes: GConf2 <= 2.18.0.1-2

This will need manual updating if GConf2 is updated in F7, but is
necessary if we ever want to have a GConf2 package again.

> the -n after %setup is needed because if you look closely the package spits out
> a GConf-%{version} directory not a GConf2-%{version} directory.  We use GConf2
> in the package name to be in sync with the GConf2 package which at one time was
> parallel installable with GConf.  
> 
> As for the the package URL, GConf2-dbus has not been officaly released yet. 
> When it does it will be merged into GConf.  I have made it a seperate package
> because for the forseable future one may want to choose between installing the
> offical GConf2 or the embedable GConf2-dbus.  For instance when I create
> LiveCD's with full GNOME environments.

Looks like everything else is taken care of, so if you add the
versioned provides/obsoletes this is APPROVED.


Comment 4 John (J5) Palmieri 2007-06-16 11:37:40 EDT
New Package CVS Request
=======================
Package Name: GConf2-dbus
Short Description: D-Bus port of the GNOME configuration daemon and libraries
Owners: johnp@redhat.com
Branches: OLPC-2
InitialCC: 
Comment 5 Jason Tibbitts 2007-06-16 12:23:20 EDT
fedora-cvs should be '?', I think.
Comment 6 John (J5) Palmieri 2007-06-16 12:37:13 EDT
woops, my bad
Comment 7 Jason Tibbitts 2007-06-18 12:38:37 EDT
CVS done.
Comment 8 Jeffrey C. Ollie 2007-06-24 23:08:50 EDT
Please close this bug once the packages have been imported and built.
Comment 9 Jeffrey C. Ollie 2007-07-17 11:52:11 EDT
Ping... Please close this bug once the packages have been imported and built.

Note You need to log in before you can comment on or make changes to this bug.